<?php

session_start();



require_once ("../../config/Cado.php");

?>


<div class="content-wrapper">

<!-- Content Header (Page header) -->

<section class="content-header">

  <h1>

    Reporte ventas

    <small>modulo</small>

  </h1>

  <ol class="breadcrumb">
	<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
	<li><a href="#">Consultas</a></li>

    <li class="active">Reporte ventas</li>

  </ol>

</section>


<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

					<span id="btn_excel" class="btn btn-success"> <i class="fa fa-file-excel-o"></i> Excel</span>

					<span id="btn_actualizar" class="btn btn-default">Actualizar</span> 

					<!--	<button id="btn_generar" onclick="generarfac();" class="btn btn-danger">Generar</button> 

					-->

					</div>

				</div>

			</div>

		</div>

	</section>





<div id="div_venta_filtro" class="">



      		</div>



			<div id="div_venta_check">



			</div>



            <div id="div_venta_impresion">



			</div>



            <div id="div_venta_tabla" class="contenido_tabla">



      		</div>



			

			<!-- formulario de vista -->

			<div class="modal fade" id="div_venta_form_dialog_vista" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">

			<div class="modal-dialog " style="width: 90% !important;" role="document" >



			<div class="modal-content">



			<div class="modal-body div_venta_form_vista" >



			</div>

			<br />

			<br />

			</div>

			</div>

			</div>





</div>


<script type="text/javascript">


function venta_filtro()

{

	$.ajax({

		type: "POST",

		url: "../cstventa/venta_filtro.php",

		async:true,

		dataType: "html",                      


		beforeSend: function() {

			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";				

				

			$('#div_venta_filtro').html(div);

        },


		success: function(html){

			$('#div_venta_filtro').html(html);

		},

		complete: function(){

			venta_tabla();

		}

	});

}





function venta_tabla()

{

	$.ajax({

		type: "POST",

		url:"../cstventa/venta_tabla.php",

		async:true,

		dataType: "html",

		data: $("#for_fil_ven").serialize(),

		beforeSend: function() {

			$('#div_venta_tabla').addClass("ui-state-disabled");

        },


		success: function(html){

			$('#div_venta_tabla').html(html);

		},


		complete: function(){			

			$('#div_venta_tabla').removeClass("ui-state-disabled");

		}


	});     


}




function venta_form_vista(act,idf){

		$('#div_venta_form_dialog_vista').modal();

		$.ajax({

			type: "POST",

			url: "../venta/venta_form_vista.php",

			async:true,

			dataType: "html",                      

			data: ({

				action: act,

				ven_id:	idf

			}),

			beforeSend: function() {

				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";				

				$('.div_venta_form_vista').html(div); 

			},

			success: function(html){

				$('.div_venta_form_vista').html(html);	

			},

			complete: function(){

			}

		});

	}




function venta_impresion(idf){

	if(confirm("Desea imprimir éste documento?")){

		venta_imppos_datos(idf);

	}

}


function venta_imppos_datos(id_ven){	


	//if(confirm("Desea imprimir éste documento?")){

		$.ajax({

			type: "POST",


			url: "../venta/venta_imppos_datos.php",


			async:true,


			dataType: "json",                      


			data: ({ ven_id: id_ven}),


			beforeSend: function() {


				//$('#msj_venta').html("Imprimiendo...");


				//$('#msj_venta').show(100);


				


			},


			success: function(data){





				venta_imppos_comprobante(data,data.imp_doc);


				$('#div_venta_form').dialog("close");


			}


		});


	//}


}





function venta_imppos_comprobante(datos,url_doc){	


	$.ajax({


		type: "POST",


		url: url_doc,


		async:true,


		dataType: "html",                      


		data: datos,


		beforeSend: function()


		{


			console.log(datos);


			//$('#msj_venta_imp').html("Imprimiendo...");


			//$('#msj_venta_imp').show(100);


		},


		success: function(html){						


			$('#msj_venta_imp').html(html);		


		}


	});


}





function venta_reporte(url)

{	

	$("#for_fil_ven").attr("action", url);

	$("#for_fil_ven").submit();

}





function modo(url){


	$('#hdd_modo').val(url);


	venta_tabla();


};


function venta_anular(id,texto)

{      

	if(confirm("Realmente desea anular venta "+texto+", se actualizará el stock. ASEGURESE QUE LAS CANTIDADES DE PRODUCTO SE PUEDAN REPONER CORRECTAMENTE.  Continuar?")){

		$.ajax({

			type: "POST",

			url: "../venta/venta_anular.php",

			async:true,

			dataType: "json",

			data: ({

				action: "anular",

				ven_id:	id

			}),

			beforeSend: function() {

				$('#msj_venta').html("Cargando...");

				$('#msj_venta').show(100);

			},

			success: function(data){

				$('#msj_venta').html(data.msj);

			},

			complete: function(){

				//$("#chk_ven_anu").removeAttr("checked");

				venta_tabla();

			}

		});

	}

	else

	{

		$("#chk_ven_anu").removeAttr("checked");

		venta_tabla();	

	}

}


$(function() {


	$('#btn_excel').click(function() {

		$("#for_fil_ven").attr('action', "../cstventa/venta_tabla_reporte_excel.php");

		$("#for_fil_ven").submit();

	});


	


	$('#btn_actualizar').click(function() {

	$("#content").load("../cstventa/cstventa_vista.php");

	});


	setTitle("REPORTE DE VENTAS - "+nombreEmpresa);	


	venta_filtro();		


});


</script>











